Improve company productivity with a Business Account.Sign Up

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 1079
  • Last Modified:

VB.NET Read SolidWorks Assembly Custom Properties From Drawing View...

Can anyone point me in the right direction on this one...?

I have a SolidWorks drawing open and a drawing view selected.  I need to read the Assembly in that Drawing View and read some of it's Custom Properties.  I'm doing this with VB.NET.
0
LittleOleMeDesigns
Asked:
LittleOleMeDesigns
1 Solution
 
LittleOleMeDesignsAuthor Commented:
Found the Answer myself on this one in the SolidWorks Forums.  Here it is:

Option Explicit

Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swSelMgr As SldWorks.SelectionMgr
Dim swView As SldWorks.View
Dim swViewModel As SldWorks.ModelDoc2

Sub main()

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swSelMgr = swModel.SelectionManager
Set swView = swSelMgr.GetSelectedObject5(1)
swView.ReferencedDocument.FileSummaryInfo

End Sub
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Free Tool: Path Explorer

An intuitive utility to help find the CSS path to UI elements on a webpage. These paths are used frequently in a variety of front-end development and QA automation tasks.

One of a set of tools we're offering as a way of saying thank you for being a part of the community.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now